Bug 498378 - Anaconda crash while setting up LVM partitions
Anaconda crash while setting up LVM partitions
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:40da4b6bd652d4947...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 03:51 EDT by xmas.bus
Modified: 2010-01-20 13:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-20 13:38:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (319.67 KB, text/plain)
2009-04-30 03:51 EDT, xmas.bus
no flags Details

  None (edit)
Description xmas.bus 2009-04-30 03:51:06 EDT
The following was filed automatically by anaconda:
anaconda None exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/formats/fs.py", line 232, in currentSize
    return float(size)
  File "/usr/lib/anaconda/iw/partition_ui_helpers_gui.py", line 373, in createPreExistFSOptionSection
    (origfs.currentSize != origfs.targetSize) and \
  File "/usr/lib/anaconda/iw/lvm_dialog_gui.py", line 498, in <lambda>
    luksdev=templuks)
  File "/usr/lib/anaconda/iw/lvm_dialog_gui.py", line 550, in editLogicalVolume
    (row, self.fsoptionsDict) = cpefsos(maintable, row)
  File "/usr/lib/anaconda/iw/lvm_dialog_gui.py", line 775, in editCurrentLogicalVolume
    self.editLogicalVolume(lv)
  File "/usr/lib/anaconda/iw/lvm_dialog_gui.py", line 806, in editLogicalVolumeCB
    self.editCurrentLogicalVolume()
TypeError: float() argument must be a string or a number
Comment 1 xmas.bus 2009-04-30 03:51:16 EDT
Created attachment 341881 [details]
Attached traceback automatically from anaconda.
Comment 2 Chris Lumens 2009-05-04 14:01:55 EDT
What were you doing that ended you up in this situation?  What partitioning scheme did you choose to make?  What layout existed before your installation attempt?  Can you provide instructions for how to reproduce this?  Thanks.
Comment 3 Bug Zapper 2009-06-09 10:51:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.